lcs_cause_ie Struct Reference
3GPP TS 49.031 BSSMAP-LE.

3GPP TS 49.031 10.13 LCS Cause, also in 3GPP TS 48.008 3.2.2.66, which simply refers to the former. More...

`#include <gsm_49_031.h>`

## Data Fields

bool | present
enum lcs_cause | cause_val
bool | diag_val_present
uint8_t | diag_val

## Detailed Description

3GPP TS 49.031 10.13 LCS Cause, also in 3GPP TS 48.008 3.2.2.66, which simply refers to the former.

## Field Documentation

## cause_val

enum lcs_cause lcs_cause_ie::cause_val

## diag_val

uint8_t lcs_cause_ie::diag_val

## diag_val_present

bool lcs_cause_ie::diag_val_present

## present

bool lcs_cause_ie::present

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_49_031.h